Page MenuHomePhabricator

Git code repository is listed but not all recent activity in it is shown on wikimedia.biterg.io
Closed, ResolvedPublic

Description

Trying to reproduce T157688 after https://phabricator.wikimedia.org/T157898#3124564 (and failing, yay!), I saw under "Attracted Developers" Zppix listed as "First Commit Date: Jan 20th 2017".

But looking at https://wikimedia.biterg.io:443/goto/c9887475fddc1d573ed3bec2f397b43f it seems there have been successful merges into labs/tools/grrrit and labs/tools/ZppixBot before that date.
Do we actually index those repositories?

T146135 also comes to my mind (that's about blacklisting, but if that's ignored maybe our whitelist also has issues?)

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMar 23 2017, 12:01 PM

https://gerrit.wikimedia.org/r/labs/tools/grrrit is listed in https://github.com/Bitergia/mediawiki-repositories/blob/master/git_repositories.conf so I'd expect activity of developers in that repository to be indexed.
There is a commit in labs/tools/grrrit in https://gerrit.wikimedia.org/r/#/c/327121/ that got merged into Git in 12/2016 - it's also listed in https://phabricator.wikimedia.org/diffusion/TGRT/

Right now, https://wikimedia.biterg.io:443/goto/ac7b2211542af66ec0de380c84c259ba even shows zero results for that (active) developer... :(

(For completeness and unrelated here: While https://github.com/Bitergia/mediawiki-repositories/blob/master/gerrit_trackers.conf gets updated by OwlBot, https://github.com/Bitergia/mediawiki-repositories/blob/master/git_repositories.conf saw its last manual update ages ago.)

Aklapper renamed this task from Check if we actually index all code repositories to Git code repository is listed but not all recent activity is shown on wikimedia.biterg.io.Mar 30 2017, 11:18 AM
Aklapper added a subscriber: Lcanasdiaz.

Hmm. Might be again using inconsistent names across places - https://wikimedia.biterg.io:443/goto/2f389d2b4a76fa9760f50c5fd7c8f205 lists zppix1 instead...

Aklapper renamed this task from Git code repository is listed but not all recent activity is shown on wikimedia.biterg.io to Git code repository is listed but not all recent activity in it is shown on wikimedia.biterg.io.Mar 31 2017, 2:02 PM
Aklapper claimed this task.Apr 12 2017, 8:06 AM

I need to check this a bit more first, assigning to me

Aklapper changed the task status from Open to Stalled.Apr 24 2017, 12:12 PM
Aklapper triaged this task as Low priority.

@Aklapper to check after T157898 / T161235 / T157709 have seen progress. Might be same issue.

Aklapper changed the task status from Stalled to Open.May 16 2017, 1:07 AM
Aklapper closed this task as Resolved.
Aklapper moved this task from Backlog to May on the Developer-Advocacy (Apr-Jun 2017) board.

https://wikimedia.biterg.io:443/goto/0bb30596c109ed5ef55a214110a8745b now reflects the same activity as on https://gerrit.wikimedia.org/r/#/q/project:labs/tools/ZppixBot . And "Last Attracted Developers" on https://wikimedia.biterg.io/app/kibana#/dashboard/Git-Demographics does not show that entry anymore (after manually increasing the bucket size from 30 to 100 to go that far back in the past).

Hence closing as resolved.

Qgil awarded a token.May 18 2017, 12:54 PM